=== debian/changelog ===
librpc-ocaml (1.5.1-1) UNRELEASED; urgency=low

  * Update to 1.5.1, removing dependency on js-of-ocaml

 -- Euan Harris <euan.harris@citrix.com>  Fri, 23 May 2014 12:00:00 +0000

librpc-ocaml (1.4.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 30 May 2013 12:00:00 +0000
