=== debian/control ===
Source: librpc-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxmlm-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 libtype-conv-camlp4-dev,
 ocaml-native-compilers,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: librpc-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: An RPC library for OCaml
 Am RPC library for OCaml.

Package: librpc-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 librpc-ocaml (>= 1.5.1-1),
 camlp4,
 camlp4-extra,
 libtype-conv-camlp4-dev,
 liblwt-ocaml,
 libxmlm-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-rpc
 The ocaml-rpc-devel package contains libraries and signature files
 for developing applications that use ocaml-rpc.
